package com.bocloud.nms.model.agile;

import com.bocloud.nms.model.agile.sfc.AgileEpgModel;
import com.bocloud.nms.model.agile.sfc.AgileSfcContractModel;
import com.bocloud.nms.model.agile.sfc.AgileSfcContractRuleModel;
import com.bocloud.nms.model.agile.sfc.AgileSfcOrderModel;
import com.bocloud.nms.model.agile.sfc.AgileSfcScappModel;
import com.bocloud.nms.model.agile.sfc.AgileSfcTemplateModel;
import com.bocloud.nms.model.agile.sfc.AgileSfcTypeModel;
import com.bocloud.nms.model.agile.vas.AgileVasLinkModel;
import com.bocloud.nms.model.agile.vas.AgileVasModel;
import com.bocloud.nms.model.agile.vas.AgileVasPortModel;

import java.util.List;

/**
 * 华为SDN同步model
 */
public class AgileSyncModel {
    private List<AgileFabricPoolModel> fabrics;
    private List<AgileDeviceGroupModel> deviceGroupModels;
    private List<AgileDeviceModel> deviceModels;
    private List<AgileDevicePortModel> devicePortModels;
    private List<AgileDeviceLinkModel> deviceLinkModels;
    private List<AgileExternalGatewayModel> externalGateways;
    private List<AgileExternalNetworkModel> externalNetworks;
    private List<AgileDhcpGroupModel> dhcpGroups;
    private List<AgileTenantModel> tenants;
    private List<AgileVpcModel> vpcs;
    private List<AgileLogicRouterModel> routers;
    private List<AgileLogicSwitchModel> switchs;
    private List<AgileSubnetModel> subnet;
    private List<AgileVasModel> vases;
    private List<AgileVasPortModel> vasPorts;
    private List<AgileVasLinkModel> vasLinks;
    private List<AgileSwitchPortModel> switchPortModels;
    private List<AgileEndPortModel> endPortModels;
    private List<AgileExternalConnectModel> connectModels;
    private List<AgileSfcTemplateModel> templateModels;
    private List<AgileSfcScappModel> scappModels;
    private List<AgileSfcContractModel> contractModels;
    private List<AgileEpgModel> epgModels;
    private List<AgileSfcTypeModel> sfcTypeModels;
    private List<AgileSfcOrderModel> sfcOrderModels;
    private List<AgileSfcContractRuleModel> contractRuleModels;
    private List<AgileResourcePoolLinkModel> resourcePoolLinkModels;
    private List<AgileVpcConnectionModel> vpcConnectionModels;

    public List<AgileSfcContractRuleModel> getContractRuleModels() {
        return contractRuleModels;
    }

    public void setContractRuleModels(List<AgileSfcContractRuleModel> contractRuleModels) {
        this.contractRuleModels = contractRuleModels;
    }

    public List<AgileSfcOrderModel> getSfcOrderModels() {
        return sfcOrderModels;
    }

    public void setSfcOrderModels(List<AgileSfcOrderModel> sfcOrderModels) {
        this.sfcOrderModels = sfcOrderModels;
    }

    public List<AgileSfcTypeModel> getSfcTypeModels() {
        return sfcTypeModels;
    }

    public void setSfcTypeModels(List<AgileSfcTypeModel> sfcTypeModels) {
        this.sfcTypeModels = sfcTypeModels;
    }

    public List<AgileSfcTemplateModel> getTemplateModels() {
        return templateModels;
    }

    public void setTemplateModels(List<AgileSfcTemplateModel> templateModels) {
        this.templateModels = templateModels;
    }

    public List<AgileSfcScappModel> getScappModels() {
        return scappModels;
    }

    public void setScappModels(List<AgileSfcScappModel> scappModels) {
        this.scappModels = scappModels;
    }

    public List<AgileSfcContractModel> getContractModels() {
        return contractModels;
    }

    public void setContractModels(List<AgileSfcContractModel> contractModels) {
        this.contractModels = contractModels;
    }

    public List<AgileEpgModel> getEpgModels() {
        return epgModels;
    }

    public void setEpgModels(List<AgileEpgModel> epgModels) {
        this.epgModels = epgModels;
    }

    public List<AgileExternalConnectModel> getConnectModels() {
        return connectModels;
    }

    public void setConnectModels(List<AgileExternalConnectModel> connectModels) {
        this.connectModels = connectModels;
    }

    public List<AgileVasPortModel> getVasPorts() {
        return vasPorts;
    }

    public void setVasPorts(List<AgileVasPortModel> vasPorts) {
        this.vasPorts = vasPorts;
    }

    public List<AgileVasLinkModel> getVasLinks() {
        return vasLinks;
    }

    public void setVasLinks(List<AgileVasLinkModel> vasLinks) {
        this.vasLinks = vasLinks;
    }

    public List<AgileFabricPoolModel> getFabrics() {
        return fabrics;
    }

    public void setFabrics(List<AgileFabricPoolModel> fabrics) {
        this.fabrics = fabrics;
    }

    public List<AgileTenantModel> getTenants() {
        return tenants;
    }

    public void setTenants(List<AgileTenantModel> tenants) {
        this.tenants = tenants;
    }

    public List<AgileVpcModel> getVpcs() {
        return vpcs;
    }

    public void setVpcs(List<AgileVpcModel> vpcs) {
        this.vpcs = vpcs;
    }

    public List<AgileLogicRouterModel> getRouters() {
        return routers;
    }

    public void setRouters(List<AgileLogicRouterModel> routers) {
        this.routers = routers;
    }

    public List<AgileLogicSwitchModel> getSwitchs() {
        return switchs;
    }

    public void setSwitchs(List<AgileLogicSwitchModel> switchs) {
        this.switchs = switchs;
    }

    public List<AgileSubnetModel> getSubnet() {
        return subnet;
    }

    public void setSubnet(List<AgileSubnetModel> subnet) {
        this.subnet = subnet;
    }

    public List<AgileVasModel> getVases() {
        return vases;
    }

    public void setVases(List<AgileVasModel> vases) {
        this.vases = vases;
    }

    public List<AgileExternalGatewayModel> getExternalGateways() {
        return externalGateways;
    }

    public void setExternalGateways(List<AgileExternalGatewayModel> externalGateways) {
        this.externalGateways = externalGateways;
    }

    public List<AgileDhcpGroupModel> getDhcpGroups() {
        return dhcpGroups;
    }

    public void setDhcpGroups(List<AgileDhcpGroupModel> dhcpGroups) {
        this.dhcpGroups = dhcpGroups;
    }

    public List<AgileDeviceGroupModel> getDeviceGroupModels() {
        return deviceGroupModels;
    }

    public void setDeviceGroupModels(List<AgileDeviceGroupModel> deviceGroupModels) {
        this.deviceGroupModels = deviceGroupModels;
    }

    public List<AgileDeviceModel> getDeviceModels() {
        return deviceModels;
    }

    public void setDeviceModels(List<AgileDeviceModel> deviceModels) {
        this.deviceModels = deviceModels;
    }

    public List<AgileDevicePortModel> getDevicePortModels() {
        return devicePortModels;
    }

    public void setDevicePortModels(List<AgileDevicePortModel> devicePortModels) {
        this.devicePortModels = devicePortModels;
    }

    public List<AgileSwitchPortModel> getSwitchPortModels() {
        return switchPortModels;
    }

    public void setSwitchPortModels(List<AgileSwitchPortModel> switchPortModels) {
        this.switchPortModels = switchPortModels;
    }

    public List<AgileEndPortModel> getEndPortModels() {
        return endPortModels;
    }

    public void setEndPortModels(List<AgileEndPortModel> endPortModels) {
        this.endPortModels = endPortModels;
    }

    public List<AgileExternalNetworkModel> getExternalNetworks() {
        return externalNetworks;
    }

    public void setExternalNetworks(List<AgileExternalNetworkModel> externalNetworks) {
        this.externalNetworks = externalNetworks;
    }

    public List<AgileDeviceLinkModel> getDeviceLinkModels() {
        return deviceLinkModels;
    }

    public void setDeviceLinkModels(List<AgileDeviceLinkModel> deviceLinkModels) {
        this.deviceLinkModels = deviceLinkModels;
    }

    public List<AgileResourcePoolLinkModel> getResourcePoolLinkModels() {
        return resourcePoolLinkModels;
    }

    public void setResourcePoolLinkModels(List<AgileResourcePoolLinkModel> resourcePoolLinkModels) {
        this.resourcePoolLinkModels = resourcePoolLinkModels;
    }

    public List<AgileVpcConnectionModel> getVpcConnectionModels() {
        return vpcConnectionModels;
    }

    public void setVpcConnectionModels(List<AgileVpcConnectionModel> vpcConnectionModels) {
        this.vpcConnectionModels = vpcConnectionModels;
    }
}
